Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.pdmodel.interactive.action.type
Class PDActionGoTo

    java.lang.Object
      org.pdfbox.pdmodel.interactive.action.type.PDAction
          org.pdfbox.pdmodel.interactive.action.type.PDActionGoTo

All Implemented Interfaces:
  COSObjectable

public class PDActionGoTo
extends PDAction

This represents a go-to action that can be executed in a PDF document.

Version:
  $Revision: 1.1 $
Author:
  Ben Litchfield (ben@csh.rit.edu), Panagiotis Toumasis (ptoumasis@mail.gr)

Field Summary
`static String` | `SUB_TYPE` This type of action this object represents.

Fields inherited from class org.pdfbox.pdmodel.interactive.action.type.PDAction
`action, TYPE`

Constructor Summary
`PDActionGoTo()` Default constructor.
`PDActionGoTo(COSDictionary a)` Constructor.

Method Summary
`PDDestination` | `getDestination()` This will get the destination to jump to.
`void` | `setDestination(PDDestination d)` This will set the destination to jump to.

Methods inherited from class org.pdfbox.pdmodel.interactive.action.type.PDAction
`getCOSDictionary, getCOSObject, getNext, getSubType, getType, setNext, setSubType, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SUB_TYPE

    public static final String SUB_TYPE

  This type of action this object represents.

  See Also:
    Constant Field Values

Constructor Detail

### PDActionGoTo

    public PDActionGoTo()

  Default constructor.

### PDActionGoTo

    public PDActionGoTo(COSDictionary a)

  Constructor.

Parameters:
  `a` - The action dictionary.

Method Detail

### getDestination

    public PDDestination getDestination()
                                 throws IOException

  This will get the destination to jump to.

  Returns:
    The D entry of the specific go-to action dictionary.
  Throws:
    `IOException` - If there is an error creating the destination.

### setDestination

    public void setDestination(PDDestination d)

  This will set the destination to jump to.

  Parameters:
    `d` - The destination.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD